org.apache.maven.scm.command.diff

## Class DiffScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.diff.DiffScmResult

All Implemented Interfaces:
  Serializable

    public class DiffScmResult
    extends ScmResult

Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`DiffScmResult(List<ScmFile> changedFiles, Map<String,CharSequence> differences, String patch, ScmResult result)`
`DiffScmResult(String commandLine, List<ScmFile> changedFiles, Map<String,CharSequence> differences, String patch)`
`DiffScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getChangedFiles()`
`Map<String,CharSequence>` `getDifferences()`
`String` `getPatch()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiffScmResult

    public DiffScmResult(String commandLine,
                         List<ScmFile> changedFiles,
                         Map<String,CharSequence> differences,
                         String patch)

#### DiffScmResult

    public DiffScmResult(String commandLine,
                         String providerMessage,
                         String commandOutput,
                         boolean success)

#### DiffScmResult

    public DiffScmResult(List<ScmFile> changedFiles,
                         Map<String,CharSequence> differences,
                         String patch,
                         ScmResult result)

### Method Detail

#### getChangedFiles

    public List<ScmFile> getChangedFiles()

#### getDifferences

    public Map<String,CharSequence> getDifferences()

#### getPatch

    public String getPatch()